CFML Twilio Library 1.0

## TwilioLib.classes
Class Utils

    WEB-INF.cftags.component
            TwilioLib.classes.Utils

    public class Utils

extends WEB-INF.cftags.component

Constructor Summary
`init(any accountSid, any authToken)`

Method Summary
`private string` | `generateSignature(string signKey, string signMessage)`
`private string` | `preparePostVars(string qString)`
`boolean` | `validateRequest([struct CgiInfo='[runtime expression]'], [struct HttpResponseInfo='[runtime expression]'])` Validates the request is coming from Twilio

Methods inherited from class WEB-INF.cftags.component
``

Constructor Detail

### init

`public init(any accountSid, any authToken)`

  Parameters:
    `accountSid`
    `authToken`

Method Detail

### generateSignature

`private string generateSignature(string signKey, string signMessage)`

Parameters:
  `signKey`
  `signMessage`

### preparePostVars

`private string preparePostVars(string qString)`

Parameters:
  `qString`

### validateRequest

`public boolean validateRequest([struct CgiInfo='[runtime expression]'], [struct HttpResponseInfo='[runtime expression]'])`

  Validates the request is coming from Twilio.

Parameters:
  `CgiInfo`
  `HttpResponseInfo`

CFML Twilio Library 1.0